%define         gstreamer       gstreamer08

%define         gst_minver      0.8.7
%define         gstp_minver     0.8.5
%define         pygtk_minver    2.4.0

Name:           %{gstreamer}-python
Version:        0.8.4
Release:        1%{?dist}
Summary:        Python bindings for GStreamer

Group:          Development/Languages
License:        LGPL
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       python >= 2
Requires:       pygtk2 >= %{pygtk_minver}
Requires:       %{gstreamer} >= %{gst_minver}
Requires:       %{gstreamer}-plugins >= %{gstp_minver}

BuildRequires:  python >= 2
BuildRequires:  python-devel >= 2
BuildRequires:  pygtk2-devel >= %{pygtk_minver}

# xwindowlistener needs X11 Xlib
BuildRequires:  libX11-devel

BuildRequires:  %{gstreamer}-devel >= %{gst_minver}
BuildRequires:  %{gstreamer}-plugins-devel >= %{gstp_minver}

# sigh, libtool
BuildRequires:  gcc-c++

# no sense in splitting off a devel package just yet
Provides:       %{gstreamer}-python-devel = %{version}-%{release}

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%prep
%setup -q -n gst-python-%{version}

%build
# the "docs" were built when disting the tarball, so we don't need to
# rebuild them
%configure --disable-docs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc examples/gst/*.py examples/gstplay/*.py
%{_libdir}/python?.?/site-packages/gst
%dir %{_datadir}/gst-python
%{_datadir}/gst-python/examples
%dir %{_datadir}/gst-python/2.0/
%dir %{_datadir}/gst-python/2.0/defs/
%{_datadir}/gst-python/2.0/defs/*.defs
%{_libdir}/pkgconfig/gst-python-0.8.pc

%changelog
* Wed Mar 08 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.4-1
- new upstream release

* Sun Jan 22 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- Renamed package to gstreamer08-python for rawhide before FC5
- Removed Requires: of -devel packages
- BuildRequire libX11-devel now that X.org is modular

* Sat Jan 14 2006 Thomas Vander Stichele <thomas at apestaart dot org> - 0.8.3-1
- fix requires and buildrequires which were using an underscore
- update to 0.8.3 version
- remove the lib64 hack, should be fixed upstream now

* Thu May 19 2005 Thomas Vander Stichele <thomas at apestaart dot org> - 0.8.1-6
- disable docs build - they're already in the tarball

* Tue May 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.8.1-5
- Move __init__.py* files from lib to _libdir on multilibarchs
  Found in thias spec file, fixes x86_64

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.1-3
- include missing directories

* Thu Mar 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.1-2
- add deps pygtk2-devel and gstreamer-devel for pkgconfig file

* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-1: moved to Fedora Extras CVS

* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.2: various cleanups

* Tue Dec 07 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.1: new upstream release

* Mon Nov 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.0-0.fdr.1: new upstream release

* Fri Nov 05 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.94-0.fdr.1: new upstream release

* Tue Oct 12 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.93-0.fdr.1: new upstream release

* Mon Jun 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.92-0.fdr.1: new upstream release

* Wed Mar 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.91-0.fdr.1: new upstream release

* Tue Sep 02 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.0-0.fdr.1: first fedora release
